Subject: Re: Don't use HOSTCFLAGS in BOOTCFLAGS

From: David Gibson <[email-masked]>
Date: Tue, 29 May 2007 16:33:47 +1000

On Tue, May 29, 2007 at 08:26:49AM +0200, Segher Boessenkool wrote:
> >> Also, is there any reason why you can't simply use $(CC) -m32 with
> >> the kernel $(CFLAGS) ?
> >
> > I did think about that.  But the kernel CFLAGS does includes
> > -ffixed-r2 and -Iarch/powerpc which I don't think we want here.
> 
> Both of these should be fairly harmless.  But sure, it
> is cleaner to have separate flags -- the booter and the
> kernel run in different environments, after all.

Well, the -I is potentially dangerous, because it allows people to get
away with header file dependecies outside the booter specific headers.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson